require 'test_helper'

class ScoreCalculatorServiceTest < ActiveSupport::TestCase

  # def setup
  #
  # end

  test 'reputation calculation' do
    hash_stub = {
      'reputation_submitted': 60,
      'reputation_reviews_average_score': 4.8,
      'reputation_added_in_best_collections': 4,
      'reputation_best_score': 736,
      'reputation_average_score': 680,
      'reputation_reviews_rate': 98,
      # 'reputation_confirmed_complaints': ,
      'reputation_followers': 300,
      'reputation_submitted_recently': 5,
      'reputation_collection_score': 700
    }

    calculator = ScoreCalculatorService.new(mock)

    calculator.stub :reputation_hash, hash_stub do
      p Score.all.each {|s| p "#{s.score_user_categories.map(&:value).inspect}\n\n" }
      assert_equal 0.677, calculator.reputation
    end
  end
end
