$(document).ready(function() {
    $('#search input[name=query]').autocomplete({
        minLength: 3,
        source: function (request, response) {
            $.ajax({
                url: "/autocomplete",
                data: { query: request.term, search_class: $('select[name="search_class"]').val()},
                dataType: "json",
                success: response,
                error: function () {
                    response([]);
                }
            });
        },
        select: function(event, ui) {
            window.location.href = ui.item.url;
        }
    }).data("uiAutocomplete")._renderItem = function(ul, item) {
        return $("<li></li>")
            .append(item.thumbnail)
            .append(item.name)
            .appendTo(ul);
    };
});
