class ManagementController < ApplicationController
  before_action :authenticate_user!
  before_action :is_admin?

  layout 'management'

  private
    def is_admin?
      unless current_user.is_admin?
        redirect_to :root
      end
    end
end
